ArrayObject::ksort
ArrayObject::natsort
ArrayObject
PHP Manual

# ArrayObject::natcasesort

Sort an array using a case insensitive "natural order" algorithm

### Description

public void ArrayObject::natcasesort ( void )

This method is a case insensitive version of ArrayObject::natsort.

This method implements a sort algorithm that orders alphanumeric strings in the way a human being would while maintaining key/value associations. This is described as a "natural ordering".

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 ArrayObject::natcasesort example

`<?php
$array = array('IMG0.png', 'img12.png', 'img10.png', 'img2.png', 'img1.png', 'IMG3.png');
$arr1 = new ArrayObject($array);
$arr2 = clone $arr1;
$arr1->asort();
echo "Standard sorting\n";
print_r($arr1);
$arr2->natcasesort();
echo "\nNatural order sorting (case-insensitive)\n";
print_r($arr2);
?>`

The above example will output:

    Standard sorting
    ArrayObject Object
    (
        [0] => IMG0.png
        [5] => IMG3.png
        [4] => img1.png
        [2] => img10.png
        [1] => img12.png
        [3] => img2.png
    )

    Natural order sorting (case-insensitive)
    ArrayObject Object
    (
        [0] => IMG0.png
        [4] => img1.png
        [3] => img2.png
        [5] => IMG3.png
        [2] => img10.png
        [1] => img12.png
    )

For more information see: Martin Pool's » Natural Order String Comparison page.

### See Also

- ArrayObject::asort
- ArrayObject::ksort
- ArrayObject::natsort
- ArrayObject::uasort
- ArrayObject::uksort